From 75ea17ce4e708102e6157b32f684d75f76d84022 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 07 2020 05:08:47 +0000
Subject: [PATCH 1669/2232] Rename ResolvableName -> RustName


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 6881e4c..2770a05 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -5,8 +5,8 @@ use crate::gen::{builtin, include, Opt};
 use crate::syntax::atom::Atom::{self, *};
 use crate::syntax::symbol::Symbol;
 use crate::syntax::{
-    derive, mangle, Api, Enum, ExternFn, ExternType, Pair, ResolvableName, Signature, Struct,
-    Trait, Type, Types, Var,
+    derive, mangle, Api, Enum, ExternFn, ExternType, Pair, RustName, Signature, Struct, Trait,
+    Type, Types, Var,
 };
 use proc_macro2::Ident;
 use std::collections::{HashMap, HashSet};
@@ -1202,15 +1202,15 @@ fn write_space_after_type(out: &mut OutFile, ty: &Type) {
 
 #[derive(Copy, Clone)]
 enum UniquePtr<'a> {
-    Ident(&'a ResolvableName),
-    CxxVector(&'a ResolvableName),
+    Ident(&'a RustName),
+    CxxVector(&'a RustName),
 }
 
 trait ToTypename {
     fn to_typename(&self, types: &Types) -> String;
 }
 
-impl ToTypename for ResolvableName {
+impl ToTypename for RustName {
     fn to_typename(&self, types: &Types) -> String {
         types.resolve(self).to_fully_qualified()
     }
@@ -1231,7 +1231,7 @@ trait ToMangled {
     fn to_mangled(&self, types: &Types) -> Symbol;
 }
 
-impl ToMangled for ResolvableName {
+impl ToMangled for RustName {
     fn to_mangled(&self, types: &Types) -> Symbol {
         self.to_symbol(types)
     }
@@ -1355,7 +1355,7 @@ fn write_rust_box_extern(out: &mut OutFile, ident: &Pair) {
     writeln!(out, "#endif // CXXBRIDGE1_RUST_BOX_{}", instance);
 }
 
-fn write_rust_vec_extern(out: &mut OutFile, element: &ResolvableName) {
+fn write_rust_vec_extern(out: &mut OutFile, element: &RustName) {
     let inner = element.to_typename(out.types);
     let instance = element.to_mangled(out.types);
 
@@ -1414,7 +1414,7 @@ fn write_rust_box_impl(out: &mut OutFile, ident: &Pair) {
     writeln!(out, "}}");
 }
 
-fn write_rust_vec_impl(out: &mut OutFile, element: &ResolvableName) {
+fn write_rust_vec_impl(out: &mut OutFile, element: &RustName) {
     let inner = element.to_typename(out.types);
     let instance = element.to_mangled(out.types);
 
@@ -1466,7 +1466,7 @@ fn write_rust_vec_impl(out: &mut OutFile, element: &ResolvableName) {
     writeln!(out, "}}");
 }
 
-fn write_unique_ptr(out: &mut OutFile, ident: &ResolvableName) {
+fn write_unique_ptr(out: &mut OutFile, ident: &RustName) {
     let ty = UniquePtr::Ident(ident);
     let instance = ty.to_mangled(out.types);
 
@@ -1590,7 +1590,7 @@ fn write_unique_ptr_common(out: &mut OutFile, ty: UniquePtr) {
     writeln!(out, "}}");
 }
 
-fn write_shared_ptr(out: &mut OutFile, ident: &ResolvableName) {
+fn write_shared_ptr(out: &mut OutFile, ident: &RustName) {
     let resolved = out.types.resolve(ident);
     let inner = resolved.to_fully_qualified();
     let instance = ident.to_symbol(out.types);
@@ -1666,7 +1666,7 @@ fn write_shared_ptr(out: &mut OutFile, ident: &ResolvableName) {
     writeln!(out, "#endif // CXXBRIDGE1_SHARED_PTR_{}", instance);
 }
 
-fn write_cxx_vector(out: &mut OutFile, element: &ResolvableName) {
+fn write_cxx_vector(out: &mut OutFile, element: &RustName) {
     let inner = element.to_typename(out.types);
     let instance = element.to_mangled(out.types);
 
diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 43f152b..c5063a2 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -4,8 +4,8 @@ use crate::syntax::file::Module;
 use crate::syntax::report::Errors;
 use crate::syntax::symbol::Symbol;
 use crate::syntax::{
-    self, check, mangle, Api, Enum, ExternFn, ExternType, Impl, Pair, ResolvableName, Signature,
-    Struct, Trait, Type, TypeAlias, Types,
+    self, check, mangle, Api, Enum, ExternFn, ExternType, Impl, Pair, RustName, Signature, Struct,
+    Trait, Type, TypeAlias, Types,
 };
 use proc_macro2::{Ident, Span, TokenStream};
 use quote::{format_ident, quote, quote_spanned, ToTokens};
@@ -949,7 +949,7 @@ fn type_id(name: &Pair) -> TokenStream {
     }
 }
 
-fn expand_rust_box(ident: &ResolvableName, types: &Types) -> TokenStream {
+fn expand_rust_box(ident: &RustName, types: &Types) -> TokenStream {
     let link_prefix = format!("cxxbridge1$box${}$", types.resolve(ident).to_symbol());
     let link_uninit = format!("{}uninit", link_prefix);
     let link_drop = format!("{}drop", link_prefix);
@@ -978,7 +978,7 @@ fn expand_rust_box(ident: &ResolvableName, types: &Types) -> TokenStream {
     }
 }
 
-fn expand_rust_vec(elem: &ResolvableName, types: &Types) -> TokenStream {
+fn expand_rust_vec(elem: &RustName, types: &Types) -> TokenStream {
     let link_prefix = format!("cxxbridge1$rust_vec${}$", elem.to_symbol(types));
     let link_new = format!("{}new", link_prefix);
     let link_drop = format!("{}drop", link_prefix);
@@ -1037,11 +1037,7 @@ fn expand_rust_vec(elem: &ResolvableName, types: &Types) -> TokenStream {
     }
 }
 
-fn expand_unique_ptr(
-    ident: &ResolvableName,
-    types: &Types,
-    explicit_impl: Option<&Impl>,
-) -> TokenStream {
+fn expand_unique_ptr(ident: &RustName, types: &Types, explicit_impl: Option<&Impl>) -> TokenStream {
     let name = ident.rust.to_string();
     let prefix = format!("cxxbridge1$unique_ptr${}$", ident.to_symbol(types));
     let link_null = format!("{}null", prefix);
@@ -1122,11 +1118,7 @@ fn expand_unique_ptr(
     }
 }
 
-fn expand_shared_ptr(
-    ident: &ResolvableName,
-    types: &Types,
-    explicit_impl: Option<&Impl>,
-) -> TokenStream {
+fn expand_shared_ptr(ident: &RustName, types: &Types, explicit_impl: Option<&Impl>) -> TokenStream {
     let name = ident.rust.to_string();
     let prefix = format!("cxxbridge1$shared_ptr${}$", ident.to_symbol(types));
     let link_null = format!("{}null", prefix);
@@ -1193,11 +1185,7 @@ fn expand_shared_ptr(
     }
 }
 
-fn expand_cxx_vector(
-    elem: &ResolvableName,
-    explicit_impl: Option<&Impl>,
-    types: &Types,
-) -> TokenStream {
+fn expand_cxx_vector(elem: &RustName, explicit_impl: Option<&Impl>, types: &Types) -> TokenStream {
     let _ = explicit_impl;
     let name = elem.rust.to_string();
     let prefix = format!("cxxbridge1$std$vector${}$", elem.to_symbol(types));
diff --git a/syntax/mod.rs b/syntax/mod.rs
index da1dbf8..3b5b4d7 100644
--- a/syntax/mod.rs
+++ b/syntax/mod.rs
@@ -150,7 +150,7 @@ pub struct Receiver {
     pub lifetime: Option<Lifetime>,
     pub mutable: bool,
     pub var: Token![self],
-    pub ty: ResolvableName,
+    pub ty: RustName,
     pub shorthand: bool,
     pub pin_tokens: Option<(kw::Pin, Token![<], Token![>])>,
     pub mutability: Option<Token![mut]>,
@@ -163,7 +163,7 @@ pub struct Variant {
 }
 
 pub enum Type {
-    Ident(ResolvableName),
+    Ident(RustName),
     RustBox(Box<Ty1>),
     RustVec(Box<Ty1>),
     UniquePtr(Box<Ty1>),
@@ -230,6 +230,6 @@ pub struct Pair {
 // C++.
 #[derive(Clone, PartialEq, Eq, PartialOrd, Ord, Hash)]
 #[repr(transparent)]
-pub struct ResolvableName {
+pub struct RustName {
     pub rust: Ident,
 }
diff --git a/syntax/names.rs b/syntax/names.rs
index b4d8ef1..2cc91f9 100644
--- a/syntax/names.rs
+++ b/syntax/names.rs
@@ -1,4 +1,4 @@
-use crate::syntax::{Namespace, Pair, ResolvableName, Symbol, Types};
+use crate::syntax::{Namespace, Pair, RustName, Symbol, Types};
 use proc_macro2::{Ident, Span};
 use std::iter;
 use syn::Token;
@@ -48,7 +48,7 @@ impl Pair {
     }
 }
 
-impl ResolvableName {
+impl RustName {
     pub fn new(ident: Ident) -> Self {
         Self { rust: ident }
     }
diff --git a/syntax/parse.rs b/syntax/parse.rs
index e4f0512..c571132 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -4,7 +4,7 @@ use crate::syntax::report::Errors;
 use crate::syntax::Atom::*;
 use crate::syntax::{
     attrs, error, Api, Array, Derive, Doc, Enum, ExternFn, ExternType, Impl, Include, IncludeKind,
-    Lang, Namespace, Pair, Receiver, Ref, ResolvableName, Signature, SliceRef, Struct, Ty1, Type,
+    Lang, Namespace, Pair, Receiver, Ref, RustName, Signature, SliceRef, Struct, Ty1, Type,
     TypeAlias, Var, Variant,
 };
 use proc_macro2::{Delimiter, Group, Span, TokenStream, TokenTree};
@@ -186,7 +186,7 @@ fn parse_enum(cx: &mut Errors, item: ItemEnum, namespace: &Namespace) -> Result<
     }
 
     let ident = Ident::new(repr.as_ref(), Span::call_site());
-    let repr_type = Type::Ident(ResolvableName::new(ident));
+    let repr_type = Type::Ident(RustName::new(ident));
 
     Ok(Api::Enum(Enum {
         doc,
@@ -289,7 +289,7 @@ fn parse_foreign_mod(
             if let Api::CxxFunction(efn) | Api::RustFunction(efn) = item {
                 if let Some(receiver) = &mut efn.receiver {
                     if receiver.ty.is_self() {
-                        receiver.ty = ResolvableName::new(single_type.rust.clone());
+                        receiver.ty = RustName::new(single_type.rust.clone());
                     }
                 }
             }
@@ -432,7 +432,7 @@ fn parse_extern_fn(
                         lifetime: lifetime.clone(),
                         mutable: arg.mutability.is_some(),
                         var: arg.self_token,
-                        ty: ResolvableName::make_self(arg.self_token.span),
+                        ty: RustName::make_self(arg.self_token.span),
                         shorthand: true,
                         pin_tokens: None,
                         mutability: arg.mutability,
@@ -810,7 +810,7 @@ fn parse_type_path(ty: &TypePath) -> Result<Type> {
         let segment = &path.segments[0];
         let ident = segment.ident.clone();
         match &segment.arguments {
-            PathArguments::None => return Ok(Type::Ident(ResolvableName::new(ident))),
+            PathArguments::None => return Ok(Type::Ident(RustName::new(ident))),
             PathArguments::AngleBracketed(generic) => {
                 if ident == "UniquePtr" && generic.args.len() == 1 {
                     if let GenericArgument::Type(arg) = &generic.args[0] {
diff --git a/syntax/tokens.rs b/syntax/tokens.rs
index 07738d8..ae2d1d9 100644
--- a/syntax/tokens.rs
+++ b/syntax/tokens.rs
@@ -1,7 +1,7 @@
 use crate::syntax::atom::Atom::*;
 use crate::syntax::{
-    Array, Atom, Derive, Enum, ExternFn, ExternType, Impl, Receiver, Ref, ResolvableName,
-    Signature, SliceRef, Struct, Ty1, Type, TypeAlias, Var,
+    Array, Atom, Derive, Enum, ExternFn, ExternType, Impl, Receiver, Ref, RustName, Signature,
+    SliceRef, Struct, Ty1, Type, TypeAlias, Var,
 };
 use proc_macro2::{Ident, Span, TokenStream};
 use quote::{quote_spanned, ToTokens};
@@ -182,7 +182,7 @@ impl ToTokens for Signature {
     }
 }
 
-impl ToTokens for ResolvableName {
+impl ToTokens for RustName {
     fn to_tokens(&self, tokens: &mut TokenStream) {
         self.rust.to_tokens(tokens);
     }
diff --git a/syntax/types.rs b/syntax/types.rs
index 9fe3562..72216b3 100644
--- a/syntax/types.rs
+++ b/syntax/types.rs
@@ -3,8 +3,8 @@ use crate::syntax::improper::ImproperCtype;
 use crate::syntax::report::Errors;
 use crate::syntax::set::{OrderedSet as Set, UnorderedSet};
 use crate::syntax::{
-    derive, toposort, Api, Enum, ExternFn, ExternType, Impl, Pair, ResolvableName, Struct, Trait,
-    Type, TypeAlias,
+    derive, toposort, Api, Enum, ExternFn, ExternType, Impl, Pair, RustName, Struct, Trait, Type,
+    TypeAlias,
 };
 use proc_macro2::Ident;
 use quote::ToTokens;
@@ -20,7 +20,7 @@ pub struct Types<'a> {
     pub untrusted: Map<&'a Ident, &'a ExternType>,
     pub required_trivial: Map<&'a Ident, TrivialReason<'a>>,
     pub explicit_impls: Set<&'a Impl>,
-    pub resolutions: Map<&'a ResolvableName, &'a Pair>,
+    pub resolutions: Map<&'a RustName, &'a Pair>,
     pub struct_improper_ctypes: UnorderedSet<&'a Ident>,
     pub toposorted_structs: Vec<&'a Struct>,
 }
@@ -63,7 +63,7 @@ impl<'a> Types<'a> {
         }
 
         let mut add_resolution = |pair: &'a Pair| {
-            resolutions.insert(ResolvableName::from_ref(&pair.rust), pair);
+            resolutions.insert(RustName::from_ref(&pair.rust), pair);
         };
 
         let mut type_names = UnorderedSet::new();
@@ -290,7 +290,7 @@ impl<'a> Types<'a> {
         }
     }
 
-    pub fn resolve(&self, ident: &ResolvableName) -> &Pair {
+    pub fn resolve(&self, ident: &RustName) -> &Pair {
         self.resolutions.get(ident).expect("Unable to resolve type")
     }
 }

